Index: branches/version-2_13-dev/data/class/db/SC_DB_MasterData.php
===================================================================
--- branches/version-2_13-dev/data/class/db/SC_DB_MasterData.php	(revision 22838)
+++ branches/version-2_13-dev/data/class/db/SC_DB_MasterData.php	(revision 22856)
@@ -44,7 +44,4 @@
 class SC_DB_MasterData
 {
-
-    // {{{ properties
-
     /** SC_Query インスタンス */
     var $objQuery;
@@ -53,6 +50,4 @@
     var $columns = array('id', 'name', 'rank', 'remarks');
 
-    // }}}
-    // {{{ functions
 
     /**
@@ -73,5 +68,4 @@
     function getMasterData($name, $columns = array())
     {
-
         $columns = $this->getDefaultColumnName($columns);
 
@@ -106,5 +100,4 @@
     function registMasterData($name, $columns, $masterData, $autoCommit = true)
     {
-
         $columns = $this->getDefaultColumnName($columns);
 
@@ -124,4 +117,5 @@
             $this->objQuery->commit();
         }
+
         return $i;
     }
@@ -142,5 +136,4 @@
     function updateMasterData($name, $columns, $masterData, $autoCommit = true)
     {
-
         $columns = $this->getDefaultColumnName($columns);
 
@@ -160,4 +153,5 @@
             $this->objQuery->commit();
         }
+
         return $i;
     }
@@ -177,5 +171,4 @@
     function insertMasterData($name, $key, $value, $comment, $autoCommit = true)
     {
-
         $columns = $this->getDefaultColumnName();
 
@@ -195,4 +188,5 @@
             $this->objQuery->commit();
         }
+
         return 1;
     }
@@ -222,4 +216,5 @@
             $this->objQuery->commit();
         }
+
         return $result;
     }
@@ -261,5 +256,4 @@
     function createCache($name, $columns = array(), $isDefine = false, $commentColumn = array())
     {
-
         // マスターデータを取得
         $masterData = $this->getDbMasterData($name, $columns);
@@ -296,4 +290,5 @@
         }
         fclose($handle);
+
         return true;
     }
@@ -313,5 +308,4 @@
     function getDbMasterData($name, $columns = array())
     {
-
         $columns = $this->getDefaultColumnName($columns);
 
@@ -325,12 +319,9 @@
         $masterData = array();
         foreach ($results as $result) {
-
             $masterData[$result[$columns[0]]] = $result[$columns[1]];
         }
+
         return $masterData;
     }
-
-    // }}}
-    // {{{ private functions
 
     /**
@@ -346,5 +337,4 @@
     function getDefaultColumnName($columns = array())
     {
-
         if (!empty($columns)) {
             return $columns;
@@ -371,4 +361,5 @@
             $data .= "define('" . $key . "', " . $val . ");\n";
         }
+
         return $data;
     }
Index: branches/version-2_13-dev/data/class/db/SC_DB_DBFactory.php
===================================================================
--- branches/version-2_13-dev/data/class/db/SC_DB_DBFactory.php	(revision 22567)
+++ branches/version-2_13-dev/data/class/db/SC_DB_DBFactory.php	(revision 22856)
@@ -29,7 +29,6 @@
  * @version $Id:SC_DB_DBFactory.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class SC_DB_DBFactory 
+class SC_DB_DBFactory
 {
-
     /**
      * DB_TYPE に応じた DBFactory インスタンスを生成する.
@@ -78,4 +77,5 @@
             }
         }
+
         return $dsn;
     }
@@ -192,4 +192,5 @@
     {
         $objManager =& $objQuery->conn->loadModule('Manager');
+
         return $objManager->listTables();
     }
Index: branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php
===================================================================
--- branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php	(revision 22567)
+++ branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php	(revision 22856)
@@ -33,7 +33,6 @@
  * @version $Id:SC_DB_DBFactory_PGSQL.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class SC_DB_DBFactory_PGSQL extends SC_DB_DBFactory 
+class SC_DB_DBFactory_PGSQL extends SC_DB_DBFactory
 {
-
     /**
      * DBのバージョンを取得する.
@@ -47,4 +46,5 @@
         $val = $objQuery->getOne('select version()');
         $arrLine = explode(' ' , $val);
+
         return $arrLine[0] . ' ' . str_replace(',', '', $arrLine[1]);
     }
@@ -144,4 +144,5 @@
             )
 __EOS__;
+
         return $sql;
     }
@@ -213,4 +214,5 @@
             $i++;
         }
+
         return $sql;
     }
@@ -242,4 +244,5 @@
         $arrColList = $objQuery->getAll($sql, array('%' . $expression . '%'));
         $arrColList = SC_Utils_Ex::sfSwapArray($arrColList, false);
+
         return $arrColList[0];
     }
@@ -277,4 +280,5 @@
         $from = 'pg_tables';
         $where = "schemaname NOT IN ('pg_catalog', 'information_schema', 'sys')";
+
         return $objQuery->getCol($col, $from, $where);
     }
Index: branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php
===================================================================
--- branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php	(revision 22567)
+++ branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php	(revision 22856)
@@ -33,7 +33,6 @@
  * @version $Id:SC_DB_DBFactory_MYSQL.php 15267 2007-08-09 12:31:52Z nanasess $
  */
-class SC_DB_DBFactory_MYSQL extends SC_DB_DBFactory 
+class SC_DB_DBFactory_MYSQL extends SC_DB_DBFactory
 {
-
     /** SC_Query インスタンス */
     var $objQuery;
@@ -49,4 +48,5 @@
         $objQuery =& SC_Query_Ex::getSingletonInstance($dsn);
         $val = $objQuery->getOne('select version()');
+
         return 'MySQL ' . $val;
     }
@@ -71,4 +71,5 @@
         // ARRAY_TO_STRINGをGROUP_CONCATに変換する
         $sql = $this->sfChangeArrayToString($sql);
+
         return $sql;
     }
@@ -83,4 +84,5 @@
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrRet = $objQuery->getAll("SHOW VARIABLES LIKE 'char%'");
+
         return $arrRet;
     }
@@ -219,4 +221,5 @@
         }
         $sql .= ')';
+
         return $sql;
     }
@@ -236,4 +239,5 @@
         $arrColList = $objQuery->getAll($sql);
         $arrColList = SC_Utils_Ex::sfSwapArray($arrColList, false);
+
         return $arrColList[0];
     }
@@ -249,4 +253,5 @@
     {
         $changesql = preg_replace('/(^|[^\w])ILIKE([^\w]|$)/i', '$1LIKE$2', $sql);
+
         return $changesql;
     }
@@ -262,4 +267,5 @@
     {
         $changesql = preg_replace('/(^|[^\w])RANDOM\(/i', '$1RAND(', $sql);
+
         return $changesql;
     }
@@ -275,4 +281,5 @@
     {
         $changesql = preg_replace('/(^|[^\w])TRUNC([^\w]|$)/i', '$1TRUNCATE$2', $sql);
+
         return $changesql;
     }
@@ -295,4 +302,5 @@
             }
         }
+
         return $sql;
     }
@@ -320,4 +328,5 @@
             }
         }
+
         return $definition;
     }