Index: /branches/version-2_12-dev/data/downloads/KEN_ALL.CSV
===================================================================
--- /branches/version-2_12-dev/data/downloads/KEN_ALL.CSV	(revision 22830)
+++ /branches/version-2_12-dev/data/downloads/KEN_ALL.CSV	(revision 22866)
@@ -21052,5 +21052,5 @@
 07202,"965  ","9650084","Ì¸¼Ï¹Ý","±²ÂÞÜ¶ÏÂ¼","º³»Þ¼ÏÁË¶Þ¼º³»Þ¼","§","ïÃá¼s","_w¬_w",0,0,0,0,0,0
 07202,"965  ","9650086","Ì¸¼Ï¹Ý","±²ÂÞÜ¶ÏÂ¼","º³»Þ¼ÏÁÎÝÏÙ","§","ïÃá¼s","_w¬{Û",0,0,0,0,0,0
-07202,"965  ","9650859","Ì¸¼Ï¹Ý","±²ÂÞÜ¶ÏÂ¼","º³»Þ¼ÏÁÏ¸³Á","§","ïÃá¼s","_w¬à",0,0,0,0,1,5
+07202,"965  ","9650859","Ì¸¼Ï¹Ý","±²ÂÞÜ¶ÏÂ¼","º³»Þ¼ÏÁÏ¸³Á","§","ïÃá¼s","_w¬à",0,0,0,0,0,0
 07202,"965  ","9650858","Ì¸¼Ï¹Ý","±²ÂÞÜ¶ÏÂ¼","º³»Þ¼ÏÁÐÅÐ¼ºÞ³","§","ïÃá¼s","_w¬ìl",0,1,0,0,0,0
 07202,"965  ","9650066","Ì¸¼Ï¹Ý","±²ÂÞÜ¶ÏÂ¼","º³»Þ¼ÏÁÖºÇÏ","§","ïÃá¼s","_w¬¡À",0,0,0,0,0,0
@@ -29466,4 +29466,5 @@
 09361,"32102","3210215","ÄÁ·Þ¹Ý","¼ÓÂ¶Þ¸ÞÝÐÌÞÏÁ","ÐÌÞµÂ","ÈØ§","ºsêSp¶¬","p¶³",0,0,0,0,0,0
 09361,"32102","3210216","ÄÁ·Þ¹Ý","¼ÓÂ¶Þ¸ÞÝÐÌÞÏÁ","ÐÌÞÃ²","ÈØ§","ºsêSp¶¬","p¶",0,0,0,0,0,0
+09361,"32102","3210238","ÄÁ·Þ¹Ý","¼ÓÂ¶Þ¸ÞÝÐÌÞÏÁ","ÐÌÞÊÆ­³ÀÞ»Ý·Þ®³ÀÞÝÁ","ÈØ§","ºsêSp¶¬","ÝÔH¶cYÆcn",0,0,0,0,1,5
 09361,"32102","3210223","ÄÁ·Þ¹Ý","¼ÓÂ¶Þ¸ÞÝÐÌÞÏÁ","ÓÄÏÁ","ÈØ§","ºsêSp¶¬","³¬",0,0,0,0,0,0
 09361,"32102","3210201","ÄÁ·Þ¹Ý","¼ÓÂ¶Þ¸ÞÝÐÌÞÏÁ","Ô½ÂÞ¶","ÈØ§","ºsêSp¶¬","ÀË",0,0,0,0,0,0
@@ -32069,4 +32070,5 @@
 11209,"357  ","3570003","»²ÀÏ¹Ý","ÊÝÉ³¼","±µ·","éÊ§","Ñ\s","ÂØ",0,0,0,0,0,0
 11209,"35701","3570128","»²ÀÏ¹Ý","ÊÝÉ³¼","±¶»ÞÜ","éÊ§","Ñ\s","Ôò",0,0,0,0,0,0
+11209,"357  ","3570069","»²ÀÏ¹Ý","ÊÝÉ³¼","±¶ÈÀÞ²","éÊ§","Ñ\s","©ä",0,0,1,0,1,3
 11209,"35702","3570216","»²ÀÏ¹Ý","ÊÝÉ³¼","±¶ÞÉ","éÊ§","Ñ\s","áì",0,0,0,0,0,0
 11209,"357  ","3570013","»²ÀÏ¹Ý","ÊÝÉ³¼","±¼¶ØÊÞ","éÊ§","Ñ\s","°¡ê",0,0,0,0,0,0
@@ -87313,5 +87315,5 @@
 27145,"593  ","5900157","µµ»¶Ì","»¶²¼ÐÅÐ¸","À¶µ","åã{","äsìæ","ö",0,0,0,0,0,0
 27145,"59001","5900117","µµ»¶Ì","»¶²¼ÐÅÐ¸","À¶¸×ÀÞ²","åã{","äsìæ","qä",0,0,1,0,0,0
-27145,"59001","5900105","µµ»¶Ì","»¶²¼ÐÅÐ¸","À¹¼ÛÀÞ²","åã{","äsìæ","|éä",0,0,1,0,1,5
+27145,"59001","5900105","µµ»¶Ì","»¶²¼ÐÅÐ¸","À¹¼ÛÀÞ²","åã{","äsìæ","|éä",0,0,1,0,0,0
 27145,"59001","5900115","µµ»¶Ì","»¶²¼ÐÅÐ¸","Á¬ÔÏÀÞ²","åã{","äsìæ","Rä",0,0,1,0,0,0
 27145,"59001","5900131","µµ»¶Ì","»¶²¼ÐÅÐ¸","Ä¶Þ","åã{","äsìæ","Ì",0,0,0,0,0,0
@@ -87332,5 +87334,5 @@
 27145,"59001","5900136","µµ»¶Ì","»¶²¼ÐÅÐ¸","Ð·À¶Ð","åã{","äsìæ","üØ½ã",0,0,0,0,0,0
 27145,"593  ","5900154","µµ»¶Ì","»¶²¼ÐÅÐ¸","Ð·Ä¼Þ","åã{","äsìæ","OØÂ",0,0,0,0,0,0
-27145,"59001","5900111","µµ»¶Ì","»¶²¼ÐÅÐ¸","ÐÊ×ÀÞ²","åã{","äsìæ","O´ä",0,0,1,0,1,5
+27145,"59001","5900111","µµ»¶Ì","»¶²¼ÐÅÐ¸","ÐÊ×ÀÞ²","åã{","äsìæ","O´ä",0,0,1,0,0,0
 27145,"59001","5900101","µµ»¶Ì","»¶²¼ÐÅÐ¸","ÐÔÔÏÀÞ²","åã{","äsìæ","{Rä",0,0,1,0,0,0
 27145,"59001","5900141","µµ»¶Ì","»¶²¼ÐÅÐ¸","ÓÓÔÏÀÞ²","åã{","äsìæ","Rä",0,0,1,0,0,0
@@ -92958,4 +92960,5 @@
 28214,"665  ","6650852","Ë®³ºÞ¹Ý","À¶×ÂÞ¶¼","ÒÌ","ºÉ§","óËs","z",0,0,1,0,0,0
 28214,"665  ","6650855","Ë®³ºÞ¹Ý","À¶×ÂÞ¶¼","ÒÌ·Ö¼¶Þµ¶","ºÉ§","óËs","z«æµKu",0,0,0,0,0,0
+28214,"665  ","6650856","Ë®³ºÞ¹Ý","À¶×ÂÞ¶¼","ÒÌ¼ÞÕ³¶Þµ¶","ºÉ§","óËs","z©RKu",0,0,0,0,1,2
 28214,"665  ","6650867","Ë®³ºÞ¹Ý","À¶×ÂÞ¶¼","ÒÌË¶Þ¼ÉÁ®³","ºÉ§","óËs","zÌ¬",0,0,0,0,0,0
 28214,"665  ","6650854","Ë®³ºÞ¹Ý","À¶×ÂÞ¶¼","ÒÌÔÏÃÁ®³","ºÉ§","óËs","zRè¬",0,0,0,0,0,0
@@ -122403,7 +122406,7 @@
 44203,"871  ","8710057","µµ²À¹Ý","Å¶Â¼","»ÝÉÁ®³","åª§","Ãs","Om",0,0,0,0,0,0
 44203,"871  ","8710073","µµ²À¹Ý","Å¶Â¼","¼µÏÁ","åª§","Ãs","¬",0,0,0,0,0,0
-44203,"871  ","8710033","µµ²À¹Ý","Å¶Â¼","¼ÏÀÞ","åª§","Ãs","c",0,0,0,0,0,0
-44203,"871  ","8710035","µµ²À¹Ý","Å¶Â¼","¼ÏÀÞÅ¶ÏÁ","åª§","Ãs","c¬",0,0,0,0,0,0
-44203,"871  ","8710036","µµ²À¹Ý","Å¶Â¼","¼ÏÀÞÎÝÏÁ","åª§","Ãs","c{¬",0,0,0,0,0,0
+44203,"871  ","8710033","µµ²À¹Ý","Å¶Â¼","¼ÏÀ","åª§","Ãs","c",0,0,0,0,1,5
+44203,"871  ","8710035","µµ²À¹Ý","Å¶Â¼","¼ÏÀÅ¶ÏÁ","åª§","Ãs","c¬",0,0,0,0,1,5
+44203,"871  ","8710036","µµ²À¹Ý","Å¶Â¼","¼ÏÀÎÝÏÁ","åª§","Ãs","c{¬",0,0,0,0,1,5
 44203,"871  ","8710011","µµ²À¹Ý","Å¶Â¼","¼Ó²¹Å¶Þ","åª§","Ãs","ºri",0,0,0,0,0,0
 44203,"871  ","8710097","µµ²À¹Ý","Å¶Â¼","¼Ó¼®³¼Þ","åª§","Ãs","º³H",0,0,0,0,0,0
Index: /branches/version-2_12-dev/data/Smarty/templates/default/mypage/delivery_addr.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/mypage/delivery_addr.tpl	(revision 22206)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/mypage/delivery_addr.tpl	(revision 22866)
@@ -30,5 +30,5 @@
     入力後、一番下の「登録する」ボタンをクリックしてください。</p>
 
-    <form name="form1" id="form1" method="post" action="?">
+    <form name="form1" id="form1" method="post" action="?" onsubmit="return false;">
         <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
         <input type="hidden" name="mode" value="edit" />
@@ -41,5 +41,5 @@
         <div class="btn_area">
             <ul>
-                <li><input type="image" onmouseover="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_add_address_complete_on.jpg',this);" onmouseout="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_add_address_complete.jpg',this);" src="<!--{$TPL_URLPATH}-->img/button/btn_add_address_complete.jpg" alt="登録する" name="register" id="register" /></li>
+                <li><a class="btn-action" href="javascript:" onclick="fnSetFormSubmit('form1', 'mode', 'edit'); return false;"><img onmouseover="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_add_address_complete_on.jpg',this);" onmouseout="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/button/btn_add_address_complete.jpg',this);" src="<!--{$TPL_URLPATH}-->img/button/btn_add_address_complete.jpg" alt="登録する"></a></li>
             </ul>
         </div>