Index: /branches/version-2_13-dev/html/user_data/packages/default/css/contents.css
===================================================================
--- /branches/version-2_13-dev/html/user_data/packages/default/css/contents.css	(revision 21618)
+++ /branches/version-2_13-dev/html/user_data/packages/default/css/contents.css	(revision 22930)
@@ -229,5 +229,5 @@
 
 /* メインカラム用 1カラム時*/
-#one_maincolumn div.listrightbloc {
+#main_column.colnum1 div.listrightbloc {
     float: right;
     width: 74%;
@@ -235,6 +235,5 @@
 
 /* メインカラム用 2カラム時*/
-#two_maincolumn_right div.listrightbloc,
-#two_maincolumn_left div.listrightbloc {
+#main_column.colnum2 div.listrightbloc {
     float: right;
     width: 80%;
@@ -242,5 +241,5 @@
 
 /* メインカラム用 3カラム時*/
-#three_maincolumn div.listrightbloc {
+#main_column.colnum3 div.listrightbloc {
     float: right;
     width: 74%;
@@ -337,8 +336,7 @@
 
     tplファイルのマークアップが同じ項目
-    *1カラム時 [one_maincolumn]
-    *2カラム時 [two_maincolumn_left]
-               [two_maincolumn_right]
-    *3カラム時 [three_maincolumn]
+        * 1カラム時
+        * 2カラム時
+        * 3カラム時
 
 ----------------------------------------------- */
@@ -352,49 +350,44 @@
 ----------------------------------------------- */
 /* 1カラム用 */
-#one_maincolumn div#detailphotobloc {
+#main_column.colnum1 div#detailphotobloc {
     width: 37%;
     float: left;
 }
-#one_maincolumn #detailrightbloc {
+#main_column.colnum1 #detailrightbloc {
     width: 63%;
     float: right;
 }
-#one_maincolumn div.subtext {
+#main_column.colnum1 div.subtext {
     margin-bottom: 20px;
     float: left;
     width: 69%;
 }
-#one_maincolumn div.subphotoimg {
+#main_column.colnum1 div.subphotoimg {
     float: right;
     width: 25%;
     text-align: right;
 }
-#one_maincolumn p.subtext {
+#main_column.colnum1 p.subtext {
     margin-bottom: 20px;
 }
 
 /* 2カラム用 */
-#two_maincolumn_left div#detailphotobloc,
-#two_maincolumn_right div#detailphotobloc {
+#main_column.colnum2 div#detailphotobloc {
     float: left;
     width: 37%;
 }
-#two_maincolumn_left #detailrightbloc,
-#two_maincolumn_right #detailrightbloc {
+#main_column.colnum2 #detailrightbloc {
     float: right;
     width: 63%;
 }
-#two_maincolumn_left div.subtext,
-#two_maincolumn_right div.subtext {
+#main_column.colnum2 div.subtext {
     margin-bottom: 20px;
     float: left;
     width: 73%;
 }
-#two_maincolumn_left p.subtext,
-#two_maincolumn_right p.subtext {
-    margin-bottom: 20px;
-}
-#two_maincolumn_left div.subphotoimg,
-#two_maincolumn_right div.subphotoimg {
+#main_column.colnum2 p.subtext {
+    margin-bottom: 20px;
+}
+#main_column.colnum2 div.subphotoimg {
     float: right;
     width: 25%;
@@ -403,21 +396,21 @@
 
 /* 3カラム用 */
-#three_maincolumn div#detailphotobloc {
+#main_column.colnum3 div#detailphotobloc {
     float: left;
     width: 49%;
 }
-#three_maincolumn #detailrightbloc {
+#main_column.colnum3 #detailrightbloc {
     float: right;
     width: 50%;
 }
-#three_maincolumn div.subtext {
+#main_column.colnum3 div.subtext {
     margin-bottom: 20px;
     float: left;
     width: 63%;
 }
-#three_maincolumn p.subtext {
-    margin-bottom: 20px;
-}
-#three_maincolumn div.subphotoimg {
+#main_column.colnum3 p.subtext {
+    margin-bottom: 20px;
+}
+#main_column.colnum3 div.subphotoimg {
     float: right;
     width: 35%;
Index: /branches/version-2_13-dev/html/user_data/packages/default/css/bloc.css
===================================================================
--- /branches/version-2_13-dev/html/user_data/packages/default/css/bloc.css	(revision 21738)
+++ /branches/version-2_13-dev/html/user_data/packages/default/css/bloc.css	(revision 22930)
@@ -20,27 +20,17 @@
 -カレンダー
 -おすすめ商品
-    *メインカラム用 1カラム時 [one_maincolumn]
-    *メインカラム用 2カラム時 [two_maincolumn_left]
-                              [two_maincolumn_right]
-    *メインカラム用 3カラム時 [three_maincolumn]
-    *サイドカラム用           [side_column]
-    *商品詳細のオススメ商品   [whobought_area]
- */
+    * 商品詳細のオススメ商品   [whobought_area]
+*/
 
 
 /* ==============================================
 ブロック共通
+    * #container から指定することで、ヘッダー・フッターには適用していない。
 /* ============================================= */
-#container .block_body {
-    background-color: #fff;
-}
 .side_column {
     overflow-x: hidden; /* IE6 表示乱れ防止 */
 }
-.side_column .block_outer {
-    margin: 10px 7%;
-}
 .side_column .block_body,
-.main_column .block_body {
+#main_column .block_body {
     border: solid 1px #ccc;
     border-top: none;
@@ -50,8 +40,16 @@
     width: 145px;
 }
-.main_column .block_outer {
-    margin-bottom: 20px;
-}
-
+
+/* 外枠
+----------------------------------------------- */
+#container .block_outer {
+    padding: 0 15px 10px; /* #container の背景色を欠けさせないため敢えて padding */
+}
+#container #main_column .block_outer {
+    padding: 0 0 20px;
+}
+#container .side_column .block_outer {
+    padding: 0 7% 10px;
+}
 
 /* リスト
@@ -108,17 +106,4 @@
 
 
-/* ==============================================
-▼ヘッダー上、フッター下のブロックエリア
-=============================================== */
-div#topcolumn {
-    margin: 0px;
-    clear: both;
-}
-div#bottomcolumn {
-    margin: 0px;
-    clear: both;
-}
-
-
 /* ***********************************************
 ▼各機能ブロックの指定
@@ -128,18 +113,17 @@
 ▼新着情報
 =============================================== */
-#news_area .block_body {
+#news_area .news_contents {
     padding: 10px;
-}
-#news_area .news_contents {
-    padding-right: 10px;
     max-height: 260px;
-    height: auto !important;
-    height: 260px;
+    height: auto !important; /* hack? */
+    height: 260px; /* hack? */
     overflow: auto;
     overflow-y: scroll;
 }
-
 #news_area dl.newslist {
     background: url("../img/background/line_dot_01.gif") repeat-x bottom;
+}
+#news_area dl.newslist:last-child {
+    background: none;
 }
 #news_area dl.newslist dt {
@@ -149,8 +133,4 @@
     margin-bottom: 10px;
     padding-bottom: 10px;
-}
-#news_area dl.end {
-    padding: 10px 0;
-    background: url("") no-repeat bottom;
 }
 
@@ -181,5 +161,5 @@
 ▼カテゴリ
 =============================================== */
-#category_area .block_body {
+#container #category_area .block_body {
     background-color: #fffaf0;
 }
@@ -221,5 +201,4 @@
 =============================================== */
 #guide_area {
-    margin-top: 1em;
     border: none;
 }
@@ -290,8 +269,8 @@
 ▼検索
 =============================================== */
-div#search_area .block_body {
+#container div#search_area .block_body {
     padding: 10px;
 }
-div#search_area .block_body .btn {
+#container div#search_area .block_body .btn {
     text-align: center;
 }
@@ -352,7 +331,5 @@
 /*
    tplファイルのマークアップが同じ項目
-   メインカラム用 2カラム時 [two_maincolumn_left]
-                            [two_maincolumn_right]
-   メインカラム用 3カラム時 [three_maincolumn]
+   メインカラム用
    サイドカラム用           [side_column]
    商品詳細のオススメ商品   [whobought_area]
@@ -362,5 +339,4 @@
 #recommend_area .block_body,
 #whobought_area .product_item {
-    margin-bottom: 10px;
     padding: 10px 0 10px;
     border: none;
@@ -393,5 +369,5 @@
 ----------------------------------------------- */
 /* メインカラム用 */
-.main_column #recommend_area .block_body .productImage,
+#main_column #recommend_area .block_body .productImage,
 #whobought_area .product_item .productImage {
     margin-bottom: 10px;
@@ -409,5 +385,5 @@
 /* 左右の振り分け
 ----------------------------------------------- */
-.main_column #recommend_area .product_item,
+#main_column #recommend_area .product_item,
 #whobought_area .product_item {
     float: left;
@@ -421,5 +397,5 @@
 ----------------------------------------------- */
 /* メインカラム用 1カラム時*/
-#one_maincolumn #recommend_area .block_body .productContents {
+#main_column.colnum1 #recommend_area .block_body .productContents {
     float: right;
     width: 74%;
@@ -427,8 +403,6 @@
 
 /* メインカラム用 2カラム時*/
-#two_maincolumn_right #recommend_area .block_body .productContents,
-#two_maincolumn_left #recommend_area .block_body .productContents,
-#two_maincolumn_right #whobought_area .productContents,
-#two_maincolumn_left #whobought_area .productContents {
+#main_column.colnum2 #recommend_area .block_body .productContents,
+#main_column.colnum2 #whobought_area .productContents {
     float: right;
     width: 74%;
@@ -436,6 +410,6 @@
 
 /* メインカラム用 3カラム時*/
-#three_maincolumn #recommend_area .block_body .productContents,
-#three_maincolumn #whobought_area .productContents {
+#main_column.colnum3 #recommend_area .block_body .productContents,
+#main_column.colnum3 #whobought_area .productContents {
     float: right;
     width: 67%;
Index: /branches/version-2_13-dev/html/user_data/packages/default/css/bloc_alpha.css
===================================================================
--- /branches/version-2_13-dev/html/user_data/packages/default/css/bloc_alpha.css	(revision 21616)
+++ /branches/version-2_13-dev/html/user_data/packages/default/css/bloc_alpha.css	(revision 22930)
@@ -68,11 +68,11 @@
 /* 【メイン】バナーエリア_02
 ----------------------------------------------- */
-.main_column .block_outer #banner_area .block_body ul {
+#main_column .block_outer #banner_area .block_body ul {
     width: 100%;
 }
-.main_column .block_outer #banner_area .block_body ul li {
+#main_column .block_outer #banner_area .block_body ul li {
     float: left;
 }
-.main_column .block_outer #banner_area .block_body ul li.sub_01 {
+#main_column .block_outer #banner_area .block_body ul li.sub_01 {
     padding-right: 8px;
 }
Index: /branches/version-2_13-dev/html/user_data/packages/default/css/common.css
===================================================================
--- /branches/version-2_13-dev/html/user_data/packages/default/css/common.css	(revision 21619)
+++ /branches/version-2_13-dev/html/user_data/packages/default/css/common.css	(revision 22930)
@@ -13,10 +13,6 @@
 }
 
-select {
-    border: solid 1px #ccc;
-}
-
 /*写真*/
-.picture {
+img.picture {
     border: 1px solid #ccc;
 }
@@ -36,5 +32,5 @@
 #container {
     margin: 0 auto;
-    padding: 0 0 30px 0;
+    padding: 0 0 30px;
     width: 980px;
     background: #fff;
@@ -46,56 +42,65 @@
  カラム指定
 =============================================== */
-/* ヘッダーとフッターの上下
-[注意]ブロック移動時はbloc.css内で調整が必要 */
+
+/* メイン部
+----------------------------------------------- */
+#main_column {
+    padding: 10px 0 0;
+}
+
+/* 1カラム時 */
+#main_column.colnum1 {
+    margin: 0 auto;
+    width: 80%;
+}
+
+/* 2カラム時 (共通) */
+#main_column.colnum2 {
+    width: 78%;
+}
+
+/* 2カラム時 (メイン部が左) */
+#main_column.colnum2.left {
+    padding-left: 1.5%;
+    float: left;
+}
+
+/* 2カラム時 (メイン部が右) */
+#main_column.colnum2.right {
+    padding-right: 1.5%;
+    float: right;
+}
+
+/* 3カラム時 */
+#main_column.colnum3 {
+    padding-left: 0.5%;
+    width: 59%;
+    float: left;
+}
+
+/* サイドカラム
+----------------------------------------------- */
+.side_column {
+    padding: 10px 0 0;
+}
+#leftcolumn {
+    float: left;
+    width: 20%;
+}
+#rightcolumn {
+    float: right;
+    width: 20%;
+}
+
+/* 他
+----------------------------------------------- */
+/* ヘッダーとフッターの上下 */
 #topcolumn,
 #bottomcolumn,
 #footerbottomcolumn {
-    margin: 0 auto;
-    padding: 15px;
-    width: 950px;
+    margin: 0px;
     background: #fff;
     text-align: left;
-}
-
-/* 中央カラム */
-.main_column {
-    padding: 10px 0 20px;
-}
-
-/* サイドカラム */
-#leftcolumn {
-    float: left;
-    width: 20%;
-}
-#rightcolumn {
-    float: right;
-    width: 20%;
-}
-
-/* 1カラム設定 */
-#one_maincolumn {
-    margin: 0 auto;
-    width: 80%;
-}
-
-/* 2カラム設定 (メイン部が左) */
-#two_maincolumn_left {
-    padding-left: 1.5%;
-    float: left;
-    width: 78%;
-}
-
-/* 2カラム設定 (メイン部が右) */
-#two_maincolumn_right {
-    padding-right: 1.5%;
-    width: 78%;
-    float: right;
-}
-
-/* 3カラム設定 */
-#three_maincolumn {
-    padding-left: 0.5%;
-    width: 59%;
-    float: left;
+    clear: both;
 }
 
@@ -201,7 +206,9 @@
 /* フォーム
 ----------------------------------------------- */
+select {
+    border: solid 1px #ccc;
+}
 input[type='text'],
-input[type='password'],
-.select {
+input[type='password'] {
     border: solid 1px #ccc;
     padding: 2px;
@@ -246,10 +253,6 @@
 
 /* フォームが縦に重なり合う場合に併用する余白 */
-.top {
+.top { /* FIXME 簡素な単語は単独で使用しない */
     margin-bottom: 5px;
-}
-
-.ng_top {
-    margin-bottom: 0 !important;
 }
 
@@ -267,8 +270,5 @@
 }
 
-#one_maincolumn .sub_area h3,
-#two_maincolumn_right .sub_area h3,
-#two_maincolumn_left .sub_area h3,
-#three_maincolumn .sub_area h3,
+#main_column .sub_area h3,
 #undercolumn_login .login_area h3,
 #undercolumn_shopping h3,
Index: /branches/version-2_13-dev/data/Smarty/templates/default/site_main.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/site_main.tpl	(revision 22363)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/site_main.tpl	(revision 22930)
@@ -92,17 +92,10 @@
 
         <!--{* ▼CENTER COLUMN *}-->
-        <div
-            <!--{if $tpl_column_num == 3}-->
-                id="three_maincolumn"
-            <!--{elseif $tpl_column_num == 2}-->
-                <!--{if $arrPageLayout.LeftNavi|@count == 0}-->
-                    id="two_maincolumn_left"
-                <!--{else}-->
-                    id="two_maincolumn_right"
+        <div id="main_column"
+            class="colnum<!--{$tpl_column_num|h}-->
+                <!--{if $tpl_column_num == 2}-->
+                    <!--{" "}--><!--{if $arrPageLayout.LeftNavi|@count == 0}-->left<!--{else}-->right<!--{/if}-->
                 <!--{/if}-->
-            <!--{elseif $tpl_column_num == 1}-->
-                id="one_maincolumn"
-            <!--{/if}-->
-            class="main_column"
+            "
         >
             <!--{* ▼メイン上部 *}-->