Index: /branches/version-2_13-dev/html/user_data/packages/sphone/css/common.css
===================================================================
--- /branches/version-2_13-dev/html/user_data/packages/sphone/css/common.css	(revision 22840)
+++ /branches/version-2_13-dev/html/user_data/packages/sphone/css/common.css	(revision 22931)
@@ -370,5 +370,5 @@
     min-height: 40px;
 }
-header h1 {
+header #logo_area {
     width: 47%;
     height: 25px;
@@ -380,5 +380,5 @@
     position: relative;
 }
-header h1 a {
+header #logo_area a {
     display: block;
     margin: 0;
@@ -387,5 +387,5 @@
     vertical-align: middle;
 }
-header h1 img {
+header #logo_area img {
     width: 150px;
     height: 25px;
Index: /branches/version-2_13-dev/html/user_data/packages/default/css/common.css
===================================================================
--- /branches/version-2_13-dev/html/user_data/packages/default/css/common.css	(revision 22930)
+++ /branches/version-2_13-dev/html/user_data/packages/default/css/common.css	(revision 22931)
@@ -13,5 +13,5 @@
 }
 
-/*写真*/
+/* 写真 */
 img.picture {
     border: 1px solid #ccc;
@@ -302,15 +302,8 @@
     width: 980px;
 }
-#logo_area {
-    padding-left: 10px;
-    float: left;
-    width: 390px;
-    text-align: left;
-}
 #header_utility {
     float: right;
     width: 580px;
 }
-
 #errorHeader {
     color: #F00;
@@ -322,15 +315,15 @@
 }
 
+
 /* ロゴ
 ----------------------------------------------- */
+#logo_area {
+    padding-left: 10px;
+    float: left;
+    width: 390px;
+    text-align: left;
+}
 #site_description {
     font-size: 90%;
-}
-#logo_area h1 {
-    width: 378px;
-    height: 33px;
-}
-#logo_area h1 span {
-    display: none; /* テキストロゴ非表示 */
 }
 
Index: /branches/version-2_13-dev/data/class/pages/order/LC_Page_Order.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/order/LC_Page_Order.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/order/LC_Page_Order.php	(revision 22931)
@@ -41,5 +41,4 @@
     {
         parent::init();
-        $this->tpl_page_category = 'order';
         $this->tpl_title = '特定商取引に関する法律に基づく表記';
         $masterData = new SC_DB_MasterData_Ex();
Index: /branches/version-2_13-dev/data/class/pages/LC_Page.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/LC_Page.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/LC_Page.php	(revision 22931)
@@ -52,7 +52,4 @@
     /** タイトル */
     var $tpl_title;
-
-    /** カテゴリ */
-    var $tpl_page_category;
 
     /** ログインメールアドレス */
Index: /branches/version-2_13-dev/data/class/pages/contact/LC_Page_Contact.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/contact/LC_Page_Contact.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/contact/LC_Page_Contact.php	(revision 22931)
@@ -46,5 +46,4 @@
             $this->tpl_title = 'お問い合わせ(入力ページ)';
         }
-        $this->tpl_page_category = 'contact';
         $this->httpCacheControl('nocache');
 
Index: /branches/version-2_13-dev/data/class/pages/abouts/LC_Page_Abouts.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/abouts/LC_Page_Abouts.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/abouts/LC_Page_Abouts.php	(revision 22931)
@@ -41,5 +41,4 @@
     {
         parent::init();
-        $this->tpl_page_category = 'abouts';
         $this->tpl_title = '当サイトについて';
         $masterData = new SC_DB_MasterData_Ex();
Index: /branches/version-2_13-dev/data/Smarty/templates/default/site_frame.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/site_frame.tpl	(revision 22786)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/site_frame.tpl	(revision 22931)
@@ -25,21 +25,7 @@
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=<!--{$smarty.const.CHAR_CODE}-->" />
+<title><!--{$arrSiteInfo.shop_name|h}--><!--{if $tpl_subtitle|strlen >= 1}--> / <!--{$tpl_subtitle|h}--><!--{elseif $tpl_title|strlen >= 1}--> / <!--{$tpl_title|h}--><!--{/if}--></title>
 <meta http-equiv="Content-Script-Type" content="text/javascript" />
 <meta http-equiv="Content-Style-Type" content="text/css" />
-<link rel="stylesheet" href="<!--{$TPL_URLPATH}-->css/import.css" type="text/css" media="all" />
-<link rel="alternate" type="application/rss+xml" title="RSS" href="<!--{$smarty.const.HTTP_URL}-->rss/<!--{$smarty.const.DIR_INDEX_PATH}-->" />
-<!--{if $tpl_page_category == "abouts"}-->
-<!--{if ($smarty.server.HTTPS != "") && ($smarty.server.HTTPS != "off")}-->
-<script type="text/javascript" src="https://maps-api-ssl.google.com/maps/api/js?sensor=false"></script>
-<!--{else}-->
-<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
-<!--{/if}-->
-<!--{/if}-->
-<script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/site.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/jquery-1.4.2.min.js"></script>
-<title><!--{$arrSiteInfo.shop_name|h}--><!--{if $tpl_subtitle|strlen >= 1}--> / <!--{$tpl_subtitle|h}--><!--{elseif $tpl_title|strlen >= 1}--> / <!--{$tpl_title|h}--><!--{/if}--></title>
 <!--{if $arrPageLayout.author|strlen >= 1}-->
     <meta name="author" content="<!--{$arrPageLayout.author|h}-->" />
@@ -56,4 +42,18 @@
 <link rel="shortcut icon" href="<!--{$TPL_URLPATH}-->img/common/favicon.ico" />
 <link rel="icon" type="image/vnd.microsoft.icon" href="<!--{$TPL_URLPATH}-->img/common/favicon.ico" />
+<link rel="stylesheet" href="<!--{$TPL_URLPATH}-->css/import.css" type="text/css" media="all" />
+<link rel="alternate" type="application/rss+xml" title="RSS" href="<!--{$smarty.const.HTTP_URL}-->rss/<!--{$smarty.const.DIR_INDEX_PATH}-->" />
+<script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/navi.js"></script>
+<script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/win_op.js"></script>
+<script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/site.js"></script>
+<script type="text/javascript" src="<!--{$smarty.const.ROOT_URLPATH}-->js/jquery-1.4.2.min.js"></script>
+<!--{if $tpl_page_class_name === "LC_Page_Abouts"}-->
+    <!--{if ($smarty.server.HTTPS != "") && ($smarty.server.HTTPS != "off")}-->
+        <script type="text/javascript" src="https://maps-api-ssl.google.com/maps/api/js?sensor=false"></script>
+    <!--{else}-->
+        <script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
+    <!--{/if}-->
+<!--{/if}-->
 
 <script type="text/javascript">//<![CDATA[
Index: /branches/version-2_13-dev/data/Smarty/templates/default/header.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/header.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/header.tpl	(revision 22931)
@@ -26,7 +26,5 @@
         <div id="logo_area">
             <p id="site_description">EC-CUBE発!世界中を旅して見つけた立方体グルメを立方隊長が直送！</p>
-            <h1>
-                <a href="<!--{$smarty.const.TOP_URLPATH}-->"><img src="<!--{$TPL_URLPATH}-->img/common/logo.gif" alt="EC-CUBE ONLINE SHOPPING SITE" /><span><!--{$arrSiteInfo.shop_name|h}-->/<!--{$tpl_title|h}--></span></a>
-            </h1>
+            <a href="<!--{$smarty.const.TOP_URLPATH}-->"><img src="<!--{$TPL_URLPATH}-->img/common/logo.gif" alt="<!--{$arrSiteInfo.shop_name|h}-->/<!--{$tpl_title|h}-->" /></a>
         </div>
         <div id="header_utility">
Index: /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/bloc/guide.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/bloc/guide.tpl	(revision 22774)
+++ /branches/version-2_13-dev/data/Smarty/templates/default/frontparts/bloc/guide.tpl	(revision 22931)
@@ -21,23 +21,22 @@
  *}-->
 
-<div class="block_outer">
-    <div id="guide_area" class="block_body">
-        <!--{strip}-->
+<!--{strip}-->
+    <div class="block_outer">
+        <div id="guide_area" class="block_body">
             <ul class="button_like">
                 <li>
-                    <a href="<!--{$smarty.const.ROOT_URLPATH}-->abouts/<!--{$smarty.const.DIR_INDEX_PATH}-->" class="<!--{if $tpl_page_category == "abouts"}--> selected<!--{/if}-->"
-                    >当サイトについて</a></li>
+                    <a href="<!--{$smarty.const.ROOT_URLPATH}-->abouts/<!--{$smarty.const.DIR_INDEX_PATH}-->" class="<!--{if $tpl_page_class_name == "LC_Page_Abouts"}-->selected<!--{/if}-->">
+                        当サイトについて</a></li>
                 <li>
-                    <a href="<!--{$smarty.const.HTTPS_URL}-->contact/<!--{$smarty.const.DIR_INDEX_PATH}-->" class="<!--{if $tpl_page_category == "contact"}--> selected<!--{/if}-->"
-                    >お問い合わせ</a></li>
+                    <a href="<!--{$smarty.const.HTTPS_URL}-->contact/<!--{$smarty.const.DIR_INDEX_PATH}-->" class="<!--{if $tpl_page_class_name == "LC_Page_Contact" || $tpl_page_class_name == "LC_Page_Contact_Complete"}-->selected<!--{/if}-->">
+                        お問い合わせ</a></li>
                 <li>
-                    <a href="<!--{$smarty.const.ROOT_URLPATH}-->order/<!--{$smarty.const.DIR_INDEX_PATH}-->" class="<!--{if $tpl_page_category == "order"}--> selected<!--{/if}-->"
-                    >特定商取引法に基づく表記</a></li>
+                    <a href="<!--{$smarty.const.ROOT_URLPATH}-->order/<!--{$smarty.const.DIR_INDEX_PATH}-->" class="<!--{if $tpl_page_class_name == "LC_Page_Order"}-->selected<!--{/if}-->">
+                        特定商取引法に基づく表記</a></li>
                 <li>
-                    <a href="<!--{$smarty.const.ROOT_URLPATH}-->guide/privacy.php" class="<!--{if $tpl_page_category == "order"}--> selected<!--{/if}-->"
-                    >プライバシーポリシー</a></li>
+                    <a href="<!--{$smarty.const.ROOT_URLPATH}-->guide/privacy.php" class="<!--{if $tpl_page_class_name == "LC_Page_Guide_Privacy"}-->selected<!--{/if}-->">
+                        プライバシーポリシー</a></li>
             </ul>
-        <!--{/strip}-->
-        <div style="height: 0px; overflow: hidden;"></div><!--{* IE6ハック(背景乱れ防止) *}-->
+        </div>
     </div>
-</div>
+<!--{/strip}-->
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/site_frame.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/site_frame.tpl	(revision 22825)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/site_frame.tpl	(revision 22931)
@@ -27,6 +27,23 @@
         <meta http-equiv="Content-Type" content="text/html; charset=<!--{$smarty.const.CHAR_CODE}-->" />
 
+        <title><!--{$arrSiteInfo.shop_name|h}--><!--{if $tpl_subtitle|strlen >= 1}--> / <!--{$tpl_subtitle|h}--><!--{elseif $tpl_title|strlen >= 1}--> / <!--{$tpl_title|h}--><!--{/if}--></title>
+
         <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1, user-scalable=0" />
         <meta name="format-detection" content="telephone=no">
+        <!--{if $arrPageLayout.author|strlen >= 1}-->
+            <meta name="author" content="<!--{$arrPageLayout.author|h}-->" />
+        <!--{/if}-->
+        <!--{if $arrPageLayout.description|strlen >= 1}-->
+            <meta name="description" content="<!--{$arrPageLayout.description|h}-->" />
+        <!--{/if}-->
+        <!--{if $arrPageLayout.keyword|strlen >= 1}-->
+            <meta name="keywords" content="<!--{$arrPageLayout.keyword|h}-->" />
+        <!--{/if}-->
+        <!--{if $arrPageLayout.meta_robots|strlen >= 1}-->
+            <meta name="robots" content="<!--{$arrPageLayout.meta_robots|h}-->" />
+        <!--{/if}-->
+
+        <link rel="shortcut icon" href="<!--{$TPL_URLPATH}-->img/common/favicon.ico" />
+        <link rel="icon" type="image/vnd.microsoft.icon" href="<!--{$TPL_URLPATH}-->img/common/favicon.ico" />
         <!--{* 共通CSS *}-->
         <link rel="stylesheet" media="only screen" href="<!--{$TPL_URLPATH}-->css/import.css" />
@@ -58,19 +75,4 @@
         <script src="<!--{$TPL_URLPATH}-->js/favorite.js"></script>
 
-        <title><!--{$arrSiteInfo.shop_name|h}--><!--{if $tpl_subtitle|strlen >= 1}--> / <!--{$tpl_subtitle|h}--><!--{elseif $tpl_title|strlen >= 1}--> / <!--{$tpl_title|h}--><!--{/if}--></title>
-        <!--{if $arrPageLayout.author|strlen >= 1}-->
-            <meta name="author" content="<!--{$arrPageLayout.author|h}-->" />
-        <!--{/if}-->
-        <!--{if $arrPageLayout.description|strlen >= 1}-->
-            <meta name="description" content="<!--{$arrPageLayout.description|h}-->" />
-        <!--{/if}-->
-        <!--{if $arrPageLayout.keyword|strlen >= 1}-->
-            <meta name="keywords" content="<!--{$arrPageLayout.keyword|h}-->" />
-        <!--{/if}-->
-        <!--{if $arrPageLayout.meta_robots|strlen >= 1}-->
-            <meta name="robots" content="<!--{$arrPageLayout.meta_robots|h}-->" />
-        <!--{/if}-->
-        <link rel="shortcut icon" href="<!--{$TPL_URLPATH}-->img/common/favicon.ico" />
-        <link rel="icon" type="image/vnd.microsoft.icon" href="<!--{$TPL_URLPATH}-->img/common/favicon.ico" />
         <!--{* iPhone用アイコン画像 *}-->
         <link rel="apple-touch-icon" href="<!--{$TPL_URLPATH}-->img/common/apple-touch-icon.png" />
@@ -83,24 +85,22 @@
         //]]></script>
 
-        <!--{* ▼Head COLUMN*}-->
+        <!--{* ▼Head COLUMN *}-->
             <!--{if $arrPageLayout.HeadNavi|@count > 0}-->
-                <!--{* ▼上ナビ *}-->
-                    <!--{foreach key=HeadNaviKey item=HeadNaviItem from=$arrPageLayout.HeadNavi}-->
-                        <!--{* ▼<!--{$HeadNaviItem.bloc_name}--> ここから*}-->
-                            <!--{if $HeadNaviItem.php_path != ""}-->
-                                <!--{include_php file=$HeadNaviItem.php_path items=$HeadNaviItem}-->
-                            <!--{else}-->
-                                <!--{include file=$HeadNaviItem.tpl_path items=$HeadNaviItem}-->
-                            <!--{/if}-->
-                        <!--{* ▲<!--{$HeadNaviItem.bloc_name}--> ここまで*}-->
-                    <!--{/foreach}-->
-                <!--{* ▲上ナビ *}-->
+                <!--{foreach key=HeadNaviKey item=HeadNaviItem from=$arrPageLayout.HeadNavi}-->
+                    <!--{* ▼<!--{$HeadNaviItem.bloc_name}--> *}-->
+                        <!--{if $HeadNaviItem.php_path != ""}-->
+                            <!--{include_php file=$HeadNaviItem.php_path items=$HeadNaviItem}-->
+                        <!--{else}-->
+                            <!--{include file=$HeadNaviItem.tpl_path items=$HeadNaviItem}-->
+                        <!--{/if}-->
+                    <!--{* ▲<!--{$HeadNaviItem.bloc_name}--> *}-->
+                <!--{/foreach}-->
             <!--{/if}-->
-        <!--{* ▲Head COLUMN*}-->
+        <!--{* ▲Head COLUMN *}-->
     </head>
 
-    <!-- ▼BODY部 スタート -->
+    <!-- ▼BODY部 -->
     <!--{include file='./site_main.tpl'}-->
-    <!-- ▲BODY部 エンド -->
+    <!-- ▲BODY部 -->
 
 </html>
Index: /branches/version-2_13-dev/data/Smarty/templates/sphone/header.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/sphone/header.tpl	(revision 22206)
+++ /branches/version-2_13-dev/data/Smarty/templates/sphone/header.tpl	(revision 22931)
@@ -21,22 +21,24 @@
  *}-->
 
-<header class="global_header clearfix">
-    <h1><a rel="external" href="<!--{$smarty.const.ROOT_URLPATH}-->"><img src="<!--{$TPL_URLPATH}-->img/header/logo.png" width="150" height="25" alt="<!--{$arrSiteInfo.shop_name|h}-->" /></a></h1>
-    <div class="header_utility">
-        <!--{* ▼HeaderInternal COLUMN *}-->
-        <!--{if $arrPageLayout.HeaderInternalNavi|@count > 0}-->
-            <!--{* ▼上ナビ *}-->
-            <!--{foreach key=HeaderInternalNaviKey item=HeaderInternalNaviItem from=$arrPageLayout.HeaderInternalNavi}-->
-                <!-- ▼<!--{$HeaderInternalNaviItem.bloc_name}--> -->
-                <!--{if $HeaderInternalNaviItem.php_path != ""}-->
-                    <!--{include_php file=$HeaderInternalNaviItem.php_path items=$HeaderInternalNaviItem}-->
-                <!--{else}-->
-                    <!--{include file=$HeaderInternalNaviItem.tpl_path items=$HeaderInternalNaviItem}-->
-                <!--{/if}-->
-                <!-- ▲<!--{$HeaderInternalNaviItem.bloc_name}--> -->
-            <!--{/foreach}-->
-            <!--{* ▲上ナビ *}-->
-        <!--{/if}-->
-        <!--{* ▲HeaderInternal COLUMN *}-->
-    </div>
-</header>
+<!--{strip}-->
+    <header class="global_header clearfix">
+        <div id="logo_area">
+            <a rel="external" href="<!--{$smarty.const.ROOT_URLPATH}-->"><img src="<!--{$TPL_URLPATH}-->img/header/logo.png" width="150" height="25" alt="<!--{$arrSiteInfo.shop_name|h}-->" /></a>
+        </div>
+        <div class="header_utility">
+            <!--{* ▼HeaderInternal COLUMN *}-->
+            <!--{if $arrPageLayout.HeaderInternalNavi|@count > 0}-->
+                <!--{foreach key=HeaderInternalNaviKey item=HeaderInternalNaviItem from=$arrPageLayout.HeaderInternalNavi}-->
+                    <!-- ▼<!--{$HeaderInternalNaviItem.bloc_name}--> -->
+                    <!--{if $HeaderInternalNaviItem.php_path != ""}-->
+                        <!--{include_php file=$HeaderInternalNaviItem.php_path items=$HeaderInternalNaviItem}-->
+                    <!--{else}-->
+                        <!--{include file=$HeaderInternalNaviItem.tpl_path items=$HeaderInternalNaviItem}-->
+                    <!--{/if}-->
+                    <!-- ▲<!--{$HeaderInternalNaviItem.bloc_name}--> -->
+                <!--{/foreach}-->
+            <!--{/if}-->
+            <!--{* ▲HeaderInternal COLUMN *}-->
+        </div>
+    </header>
+<!--{/strip}-->