Index: /branches/version-2_13-dev/data/Smarty/templates/admin/order/index.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/admin/order/index.tpl	(revision 22877)
+++ /branches/version-2_13-dev/data/Smarty/templates/admin/order/index.tpl	(revision 22935)
@@ -390,5 +390,5 @@
             <td class="center"><!--{$arrORDERSTATUS[$status]}--></td>
             <td class="center">
-                <input type="checkbox" name="pdf_order_id[]" value="<!--{$arrResults[cnt].order_id}-->" id="pdf_order_id_<!--{$arrResults[cnt].order_id}-->"/><label for="pdf_order_id_<!--{$arrResults[cnt].order_id}-->">一括出力</label><br>
+                <input type="checkbox" name="pdf_order_id[]" value="<!--{$arrResults[cnt].order_id}-->" id="pdf_order_id_<!--{$arrResults[cnt].order_id}-->"/><label for="pdf_order_id_<!--{$arrResults[cnt].order_id}-->">一括出力</label><br />
                 <a href="./" onClick="win02('pdf.php?order_id=<!--{$arrResults[cnt].order_id}-->','pdf_input','620','650'); return false;"><span class="icon_class">個別出力</span></a>
             </td>
@@ -396,9 +396,9 @@
             <td class="center">
                 <!--{if $arrResults[cnt].order_email|strlen >= 1}-->
-                    <input type="checkbox" name="mail_order_id[]" value="<!--{$arrResults[cnt].order_id}-->" id="mail_order_id_<!--{$arrResults[cnt].order_id}-->"/><label for="mail_order_id_<!--{$arrResults[cnt].order_id}-->">一括通知</label><br>
+                    <input type="checkbox" name="mail_order_id[]" value="<!--{$arrResults[cnt].order_id}-->" id="mail_order_id_<!--{$arrResults[cnt].order_id}-->"/><label for="mail_order_id_<!--{$arrResults[cnt].order_id}-->">一括通知</label><br />
                     <a href="?" onclick="fnChangeAction('<!--{$smarty.const.ADMIN_ORDER_MAIL_URLPATH}-->'); fnModeSubmit('pre_edit', 'order_id', '<!--{$arrResults[cnt].order_id}-->'); return false;"><span class="icon_mail">個別通知</span></a>
                 <!--{/if}-->
             </td>
-            <td class="center"><a href="?" onclick="fnModeSubmit('delete_order', 'order_id', <!--{$arrResults[cnt].order_id}-->); return false;"><span class="icon_delete">削除</span></a></td>
+            <td class="center"><a href="?" onclick="fnModeSubmit('delete', 'order_id', <!--{$arrResults[cnt].order_id}-->); return false;"><span class="icon_delete">削除</span></a></td>
         </tr>
         <!--{/section}-->
Index: /branches/version-2_13-dev/data/Smarty/templates/admin/order/status.tpl
===================================================================
--- /branches/version-2_13-dev/data/Smarty/templates/admin/order/status.tpl	(revision 22877)
+++ /branches/version-2_13-dev/data/Smarty/templates/admin/order/status.tpl	(revision 22935)
@@ -23,9 +23,9 @@
 *}-->
 
-<form name="form1" id="form1" method="POST" action="?" >
+<form name="form1" id="form1" method="post" action="?" >
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
 <input type="hidden" name="mode" value="" />
 <input type="hidden" name="status" value="<!--{if $arrForm.status == ""}-->1<!--{else}--><!--{$arrForm.status}--><!--{/if}-->" />
-<input type="hidden" name="search_pageno" value="<!--{$tpl_pageno}-->" >
+<input type="hidden" name="search_pageno" value="<!--{$tpl_pageno}-->" />
 <input type="hidden" name="order_id" value="" />
 <div id="order" class="contents-main">
@@ -58,5 +58,5 @@
             <a class="btn-normal" href="javascript:;" onclick="fnSelectCheckSubmit(); return false;"><span>移動</span></a>
         </div>
-        <span class="attention">※ <!--{$arrORDERSTATUS[$smarty.const.ORDER_CANCEL]}-->もしくは、削除に変更時には、在庫数を手動で戻してください。</span><br />
+        <span class="attention">※ <!--{$arrORDERSTATUS[$smarty.const.ORDER_CANCEL]}-->に変更時には、在庫数を手動で戻してください。</span><br />
 
         <p class="remark">