Index: branches/version-2_13-dev/data/Smarty/templates/admin/contents/file_manager.tpl
===================================================================
--- branches/version-2_13-dev/data/Smarty/templates/admin/contents/file_manager.tpl	(revision 22571)
+++ branches/version-2_13-dev/data/Smarty/templates/admin/contents/file_manager.tpl	(revision 22954)
@@ -46,95 +46,95 @@
 //]]></script>
 <form name="form1" method="post" action="?"  enctype="multipart/form-data">
-<input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-<input type="hidden" name="mode" value="" />
-<input type="hidden" name="now_file" value="<!--{$tpl_now_dir|h}-->" />
-<input type="hidden" name="now_dir" value="<!--{$tpl_now_file|h}-->" />
-<input type="hidden" name="tree_select_file" value="" />
-<input type="hidden" name="tree_status" value="" />
-<input type="hidden" name="select_file" value="" />
-<div id="admin-contents" class="contents-main">
-    <div id="contents-filemanager-tree">
-        <div id="tree"></div>
-    </div>
-    <div id="contents-filemanager-right">
-        <table class="now_dir">
-            <tr>
-                <th>ファイルのアップロード</th>
-                <td>
-                    <!--{if $arrErr.upload_file}--><span class="attention"><!--{$arrErr.upload_file}--></span><!--{/if}-->
-                    <input type="file" name="upload_file" size="40" <!--{if $arrErr.upload_file}-->style="background-color:<!--{$smarty.const.ERR_COLOR|h}-->"<!--{/if}--> /><a class="btn-normal" href="javascript:;" onclick="setTreeStatus('tree_status');fnModeSubmit('upload','',''); return false;">アップロード</a>
-                </td>
-            </tr>
-            <tr>
-                <th>フォルダ作成</th>
-                <td>
-                    <!--{if $arrErr.create_file}--><span class="attention"><!--{$arrErr.create_file}--></span><!--{/if}-->
-                    <input type="text" name="create_file" value="" style="width:336px;<!--{if $arrErr.create_file}--> background-color:<!--{$smarty.const.ERR_COLOR|h}--><!--{/if}-->" /><a class="btn-normal" href="javascript:;" onclick="setTreeStatus('tree_status');fnModeSubmit('create','',''); return false;">作成</a>
-                </td>
-            </tr>
-        </table>
-        <h2><!--{* jQuery で挿入される *}--></h2>
-        <table class="list">
-            <tr>
-                <th>ファイル名</th>
-                <th>サイズ</th>
-                <th>更新日付</th>
-                <th class="edit">表示</th>
-                <th>ダウンロード</th>
-                <th class="delete">削除</th>
-            </tr>
-            <!--{if !$tpl_is_top_dir}-->
-                <tr id="parent_dir" onclick="fnSetFormVal('form1', 'select_file', '<!--{$tpl_parent_dir|h}-->');fnSelectFile('parent_dir', '#808080');" onDblClick="setTreeStatus('tree_status');fnDbClick(arrTree, '<!--{$tpl_parent_dir|h}-->', true, '<!--{$tpl_now_dir|h}-->', true)" style="">
+    <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+    <input type="hidden" name="mode" value="" />
+    <input type="hidden" name="now_file" value="<!--{$tpl_now_dir|h}-->" />
+    <input type="hidden" name="now_dir" value="<!--{$tpl_now_file|h}-->" />
+    <input type="hidden" name="tree_select_file" value="" />
+    <input type="hidden" name="tree_status" value="" />
+    <input type="hidden" name="select_file" value="" />
+    <div id="admin-contents" class="contents-main">
+        <div id="contents-filemanager-tree">
+            <div id="tree"></div>
+        </div>
+        <div id="contents-filemanager-right">
+            <table class="now_dir">
+                <tr>
+                    <th>ファイルのアップロード</th>
                     <td>
-                        <img src="<!--{$TPL_URLPATH}-->img/contents/folder_parent.gif" alt="フォルダ">&nbsp;..
-                    </td>
-                    <td>&nbsp;</td>
-                    <td>&nbsp;</td>
-                    <td>&nbsp;</td>
-                    <td>&nbsp;</td>
-                    <td>&nbsp;</td>
-                </tr>
-            <!--{/if}-->
-            <!--{section name=cnt loop=$arrFileList}-->
-                <!--{assign var="id" value="select_file`$smarty.section.cnt.index`"}-->
-                <tr id="<!--{$id}-->" style="">
-                    <td class="file-name" onDblClick="setTreeStatus('tree_status');fnDbClick(arrTree, '<!--{$arrFileList[cnt].file_path|h}-->', <!--{if $arrFileList[cnt].is_dir|h}-->true<!--{else}-->false<!--{/if}-->, '<!--{$tpl_now_dir|h}-->', false)">
-                        <!--{if $arrFileList[cnt].is_dir}-->
-                            <img src="<!--{$TPL_URLPATH}-->img/contents/folder_close.gif" alt="フォルダ" />
-                        <!--{else}-->
-                            <img src="<!--{$TPL_URLPATH}-->img/contents/file.gif" />
-                        <!--{/if}-->
-                        <!--{$arrFileList[cnt].file_name|h}-->
-                    </td>
-                    <td class="right">
-                        <!--{$arrFileList[cnt].file_size|number_format}-->
-                    </td>
-                    <td class="center">
-                        <!--{$arrFileList[cnt].file_time|h}-->
-                    </td>
-                    <!--{if $arrFileList[cnt].is_dir}-->
-                        <td class="center">
-                            <a href="javascript:;" onclick="fnSetFormVal('form1', 'tree_select_file', '<!--{$arrFileList[cnt].file_path}-->');fnSelectFile('<!--{$id}-->', '#808080');fnModeSubmit('move','',''); return false;">表示</a>
-                        </td>
-                    <!--{else}-->
-                        <td class="center">
-                            <a href="javascript:;" onclick="fnSetFormVal('form1', 'select_file', '<!--{$arrFileList[cnt].file_path|h}-->');fnSelectFile('<!--{$id}-->', '#808080');fnModeSubmit('view','',''); return false;">表示</a>
-                        </td>
-                    <!--{/if}-->
-                    <!--{if $arrFileList[cnt].is_dir}-->
-                        <!--{* ディレクトリはダウンロード不可 *}-->
-                        <td class="center">-</td>
-                    <!--{else}-->
-                        <td class="center">
-                            <a href="javascript:;" onclick="fnSetFormVal('form1', 'select_file', '<!--{$arrFileList[cnt].file_path|h}-->');fnSelectFile('<!--{$id}-->', '#808080');setTreeStatus('tree_status');fnModeSubmit('download','',''); return false;">ダウンロード</a>
-                        </td>
-                    <!--{/if}-->
-                    <td class="center">
-                        <a href="javascript:;" onclick="fnSetFormVal('form1', 'select_file', '<!--{$arrFileList[cnt].file_path|h}-->');fnSelectFile('<!--{$id}-->', '#808080');setTreeStatus('tree_status');fnModeSubmit('delete','',''); return false;">削除</a>
+                        <!--{if $arrErr.upload_file}--><span class="attention"><!--{$arrErr.upload_file}--></span><!--{/if}-->
+                        <input type="file" name="upload_file" size="40" <!--{if $arrErr.upload_file}-->style="background-color:<!--{$smarty.const.ERR_COLOR|h}-->"<!--{/if}--> /><a class="btn-normal" href="javascript:;" onclick="setTreeStatus('tree_status');fnModeSubmit('upload','',''); return false;">アップロード</a>
                     </td>
                 </tr>
-            <!--{/section}-->
-        </table>
+                <tr>
+                    <th>フォルダ作成</th>
+                    <td>
+                        <!--{if $arrErr.create_file}--><span class="attention"><!--{$arrErr.create_file}--></span><!--{/if}-->
+                        <input type="text" name="create_file" value="" style="width:336px;<!--{if $arrErr.create_file}--> background-color:<!--{$smarty.const.ERR_COLOR|h}--><!--{/if}-->" /><a class="btn-normal" href="javascript:;" onclick="setTreeStatus('tree_status');fnModeSubmit('create','',''); return false;">作成</a>
+                    </td>
+                </tr>
+            </table>
+            <h2><!--{* jQuery で挿入される *}--></h2>
+            <table class="list">
+                <tr>
+                    <th>ファイル名</th>
+                    <th>サイズ</th>
+                    <th>更新日付</th>
+                    <th class="edit">表示</th>
+                    <th>ダウンロード</th>
+                    <th class="delete">削除</th>
+                </tr>
+                <!--{if !$tpl_is_top_dir}-->
+                    <tr id="parent_dir" onclick="fnSetFormVal('form1', 'select_file', '<!--{$tpl_parent_dir|h}-->');fnSelectFile('parent_dir', '#808080');" onDblClick="setTreeStatus('tree_status');fnDbClick(arrTree, '<!--{$tpl_parent_dir|h}-->', true, '<!--{$tpl_now_dir|h}-->', true)" style="">
+                        <td>
+                            <img src="<!--{$TPL_URLPATH}-->img/contents/folder_parent.gif" alt="フォルダ">&nbsp;..
+                        </td>
+                        <td>&nbsp;</td>
+                        <td>&nbsp;</td>
+                        <td>&nbsp;</td>
+                        <td>&nbsp;</td>
+                        <td>&nbsp;</td>
+                    </tr>
+                <!--{/if}-->
+                <!--{section name=cnt loop=$arrFileList}-->
+                    <!--{assign var="id" value="select_file`$smarty.section.cnt.index`"}-->
+                    <tr id="<!--{$id}-->" style="">
+                        <td class="file-name" onDblClick="setTreeStatus('tree_status');fnDbClick(arrTree, '<!--{$arrFileList[cnt].file_path|h}-->', <!--{if $arrFileList[cnt].is_dir|h}-->true<!--{else}-->false<!--{/if}-->, '<!--{$tpl_now_dir|h}-->', false)">
+                            <!--{if $arrFileList[cnt].is_dir}-->
+                                <img src="<!--{$TPL_URLPATH}-->img/contents/folder_close.gif" alt="フォルダ" />
+                            <!--{else}-->
+                                <img src="<!--{$TPL_URLPATH}-->img/contents/file.gif" />
+                            <!--{/if}-->
+                            <!--{$arrFileList[cnt].file_name|h}-->
+                        </td>
+                        <td class="right">
+                            <!--{$arrFileList[cnt].file_size|number_format}-->
+                        </td>
+                        <td class="center">
+                            <!--{$arrFileList[cnt].file_time|h}-->
+                        </td>
+                        <!--{if $arrFileList[cnt].is_dir}-->
+                            <td class="center">
+                                <a href="javascript:;" onclick="fnSetFormVal('form1', 'tree_select_file', '<!--{$arrFileList[cnt].file_path}-->');fnSelectFile('<!--{$id}-->', '#808080');fnModeSubmit('move','',''); return false;">表示</a>
+                            </td>
+                        <!--{else}-->
+                            <td class="center">
+                                <a href="javascript:;" onclick="fnSetFormVal('form1', 'select_file', '<!--{$arrFileList[cnt].file_path|h}-->');fnSelectFile('<!--{$id}-->', '#808080');fnModeSubmit('view','',''); return false;">表示</a>
+                            </td>
+                        <!--{/if}-->
+                        <!--{if $arrFileList[cnt].is_dir}-->
+                            <!--{* ディレクトリはダウンロード不可 *}-->
+                            <td class="center">-</td>
+                        <!--{else}-->
+                            <td class="center">
+                                <a href="javascript:;" onclick="fnSetFormVal('form1', 'select_file', '<!--{$arrFileList[cnt].file_path|h}-->');fnSelectFile('<!--{$id}-->', '#808080');setTreeStatus('tree_status');fnModeSubmit('download','',''); return false;">ダウンロード</a>
+                            </td>
+                        <!--{/if}-->
+                        <td class="center">
+                            <a href="javascript:;" onclick="fnSetFormVal('form1', 'select_file', '<!--{$arrFileList[cnt].file_path|h}-->');fnSelectFile('<!--{$id}-->', '#808080');setTreeStatus('tree_status');fnModeSubmit('delete','',''); return false;">削除</a>
+                        </td>
+                    </tr>
+                <!--{/section}-->
+            </table>
+        </div>
     </div>
-</div>
 </form>